
<div style="margin-bottom: 15px;">
    <p-dataTable
        [value]="billingItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idBillingItem" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="addNewData()">
                        <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
<!-- <div class="row margin-row">
    <div class="col-md-12" style="overflow:auto">
        <div class="pull-right">
            <div style="margin-bottom: 10px;">
                <button pButton type="button" class="ui-button-primary btn-sm" label="ADD" (click)="addNewData()"></button>
                </button>
            </div>
        </div>
    </div>
</div> -->
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Kode Tipe">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idProduct}}
            </ng-template>
        </p-column>
        <p-column header="Warna">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.featureDescription}}
            </ng-template>
        </p-column>
        <p-column header="Jumlah Unit">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty}}
            </ng-template>
        </p-column>
        <p-column header="Harga Satuan (Rp.)">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.unitPrice}}
            </ng-template>
        </p-column>
        <p-column header="Diskon Satuan (Rp.)">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.discount}}
            </ng-template>
        </p-column>
        <p-column header="Jumlah Harga Nett (Rp.)">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.totalAmount}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'billing-item/'+ rowData.idBillingItem + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button> -->
                <button pButton type="button" 
                    [hidden]="billingDisbursement.currentStatus !== 10"
                    (click)="delete(rowData.idBillingItem)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>

<p-dialog header="create" [(visible)]="newModal" modal="true" [width]="700">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <div class="card">
                <div class="card-body">
                    <jhi-alert-error></jhi-alert-error>
                    <!-- <div class="form-group" [hidden]="!billingItem.idBillingItem">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="billingItem.idBillingItem" readonly />
                    </div> -->
                    <div class="form-group">
                        <label class="form-control-label" for="field_idItemType">Id Item Type</label>
                        <input currencyMask class="form-control" name="idItemType" id="field_idItemType"
                            [(ngModel)]="itemType"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            [disabled]="true" 
                            readonly />
                    </div>
                    <!-- <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.idProduct" for="field_idProduct">Id Product</label>
                        <input type="text" class="form-control" name="idProduct" id="field_idProduct"
                            [(ngModel)]="billingItem.idProduct" />
                    </div> -->
                    <div class="form-group">
                        <label for="field_product">Product</label>
                        <p-dropdown [options]="listMotors" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}"
                            [(ngModel)]="selectedMotor" id="field_product" name="product"
                            [filter]="true" filterBy="label" 
                            (onChange)="selectMotor(true)"
                        ></p-dropdown>
                    </div>
                    <div class="form-group">
                        <label for="field_color">color</label>
                        <select class="form-control" id="field_color" name="color" [(ngModel)]="billingItem.idFeature" >
                            <option [ngValue]="null">Please Select</option>
                            <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features">{{featureOption.refKey}} - {{featureOption.description}}</option>
                        </select>
                        <small class="form-text text-muted">Pilih product untuk menampilkan pilihan warna</small>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.itemDescription" for="field_itemDescription">Item Description</label>
                        <input type="text" class="form-control" name="itemDescription" id="field_itemDescription"
                        [(ngModel)]="billingItem.itemDescription" 
                        readonly/>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.qty" for="field_qty">Qty</label>
                        <input currencyMask class="form-control" name="qty" id="field_qty"
                            [(ngModel)]="billingItem.qty" (blur)="hitungHargaInputManual()"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.unitPrice" for="field_unitPrice">Unit Price</label>
                        <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice"
                            [(ngModel)]="unitPrice" (blur)="hitungHargaInputManual()"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                    </div>
                    <!-- <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.basePrice" for="field_basePrice">Base Price</label>
                        <input currencyMask class="form-control" name="basePrice" id="field_basePrice"
                            [(ngModel)]="billingItem.basePrice" (blur)="hitungHargaInputManual()"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                    </div> -->
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.discount" for="field_discount">Discount</label>
                        <input currencyMask class="form-control" name="discount" id="field_discount"
                            [(ngModel)]="discount" (blur)="hitungHargaInputManual()"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.taxAmount" for="field_taxAmount">Tax Amount</label>
                        <input currencyMask class="form-control" name="taxAmount" id="field_taxAmount"
                            [(ngModel)]="billingItem.taxAmount" (blur)="hitungHargaInputManual()"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            readonly
                            />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.totalAmount" for="field_totalAmount">Total Amount</label>
                        <input currencyMask class="form-control" name="totalAmount" id="field_totalAmount"
                            [(ngModel)]="billingItem.totalAmount"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                            readonly
                            />
                    </div>
                    <!-- <div class="form-group" *ngIf="idBilling === undefined">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.billing" for="field_billing">Billing</label>
                        <select class="form-control" id="field_billing" name="billing" [(ngModel)]="billingItem.billingId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billingOption.idBilling" *ngFor="let billingOption of billings; trackBy: trackBillingById">{{billingOption.id}}</option>
                        </select>
                    </div> -->
                    <!-- <div class="form-group" *ngIf="idInventoryItem === undefined">
                        <label class="form-control-label" jhiTranslate="mpmApp.billingItem.inventoryItem" for="field_inventoryItem">Inventory Item</label>
                        <select class="form-control" id="field_inventoryItem" name="inventoryItem" [(ngModel)]="billingItem.inventoryItemId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="inventoryItemOption.idInventoryItem" *ngFor="let inventoryItemOption of inventoryitems; trackBy: trackInventoryItemById">{{inventoryItemOption.id}}</option>
                        </select>
                    </div> -->
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button pButton type="button" data-dismiss="modal" (click)="clear()"
                label="{{'entity.action.cancel' | translate}}"
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="!selectedMotor || !billingItem.idFeature || (billingItem.qty === 0 || !billingItem.qty) || (unitPrice === 0 || !unitPrice)"
                label="{{'entity.action.save' | translate}}"
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>

